//=========================================
// Base Mythica shaders. by Castle
//=========================================

//=========================================
// area Light shaders. these are needed if quake 3
// looks way to washed out with light ents
//=========================================

textures/mythica_effects/arealight_75
{
	qer_editorimage textures/mythica_effects/arealight.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm sky
	surfaceparm detail
	skyparms - - -
	q3map_surfacelight 75
	q3map_lightsubdivide 120
	q3map_lightimage textures/mythica_effects/arealight.tga
}

textures/mythica_effects/arealight_150
{
	qer_editorimage textures/mythica_effects/arealight.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm sky
	surfaceparm detail
	skyparms - - -
	q3map_surfacelight 150
	q3map_lightsubdivide 120
	q3map_lightimage textures/mythica_effects/arealight.tga
}

textures/mythica_effects/arealight_500
{
	qer_editorimage textures/mythica_effects/arealight.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm sky
	surfaceparm detail
	skyparms - - -
	q3map_surfacelight 500
	q3map_lightsubdivide 120
	q3map_lightimage textures/mythica_effects/arealight.tga
}

textures/mythica_effects/arealight_1000
{
	qer_editorimage textures/mythica_effects/arealight.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm sky
	surfaceparm detail
	skyparms - - -
	q3map_surfacelight 1000
	q3map_lightsubdivide 120
	q3map_lightimage textures/mythica_effects/arealight.tga
}

textures/mythica_effects/arealight_1250
{
	qer_editorimage textures/mythica_effects/arealight.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm sky
	surfaceparm detail
	skyparms - - -
	q3map_surfacelight 1250
	q3map_lightsubdivide 120
	q3map_lightimage textures/mythica_effects/arealight.tga
}

textures/mythica_effects/arealight_1500
{
	qer_editorimage textures/mythica_effects/arealight.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm sky
	surfaceparm detail
	skyparms - - -
	q3map_surfacelight 1500
	q3map_lightsubdivide 120
	q3map_lightimage textures/mythica_effects/arealight.tga
}

textures/mythica_effects/arealight_1750
{
	qer_editorimage textures/mythica_effects/arealight.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm sky
	surfaceparm detail
	skyparms - - -
	q3map_surfacelight 1750
	q3map_lightsubdivide 120
	q3map_lightimage textures/mythica_effects/arealight.tga
}


//=========================================
// Sky boxes go here for each map
//=========================================

textures/mythica_skies/BethSky1_sky
{
	qer_editorimage textures/Mythica_skies/BethSky_sky.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightsubdivide 4096
	q3map_sun 1 1 1 100 -38 7.3
	q3map_surfacelight 125
	skyparms env/sunset1 - -
}

textures/skies/blackskywatergiant1
{
	qer_editorimage textures/skies/blacksky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	{
		map textures/sfx/blackness.tga
		rgbGen vertex
	}
}

textures/skies/supernightsky2000
{
	qer_editorimage textures/skies/xnight2_up.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1 1 1 100 -41 58
	q3map_surfacelight 15
	skyparms env/xnight2 - -
}

//===========================================================
// Reflective surfaces that should only be used in moderation
//===========================================================

textures/mythica_floors/Reflecttiles
{
	qer_editorimage textures/mythica_floors/stone_tile.tga
	surfaceparm nolightmap
	portal
	{
		map textures/mythica_floors/stone_tile.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
        {
               map textures/mythica_floors/stone_tile.tga
	       blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
        }
        {
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

//===========================================================
// For use with TURE reflective water surfaces
// Note that you must place a water brush over top of this brush
// And use no draw on a other faces not showing on the mirror
// Does not work because all portals need to be solid.
//===========================================================

//textures/mythica_effects/mirrorclear
//{
//	qer_editorimage textures/common/qer_mirror.tga
//	surfaceparm nolightmap
//	surfaceparm noimpact
//	surfaceparm nolightmap
//	surfaceparm trans
//	surfaceparm nonsolid
//	surfaceparm detail
//	surfaceparm water
//	portal
//        {
//		map $lightmap
//		blendfunc gl_dst_color gl_zero
//		rgbGen identity
//	}
//}

//===============================================
// Shiny stuff
//===============================================

textures/mythica_floors/Shinyfloorchrome
{
	qer_editorimage textures/Mythica_floors/tile1-256.tga
	{
		map textures/base_wall/chrome_env2.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/Mythica_floors/tile1-256.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/mythica_floors/shinychecker3_256
{
	qer_editorimage textures/mythica_floors/checker3_256.tga

	{
		map textures/base_wall/chrome_env2.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/Mythica_floors/checker3_256.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}


//=========================================
// Smoke that raises from flames
//=========================================


textures/mythica_effects/smokestream1
{
    	qer_editorimage textures/mythica_effects/smokestream1.tga
    	cull disable
   	deformVertexes autoSprite2
    	surfaceparm trans
   	surfaceparm pointlight
   	//deformVertexes wave 50 sin 0 3 0 .3
  	//deformVertexes move .3 .1 0  sin 0 .5 0 0.2
	{
		map textures/mythica_effects/smokestream1.tga
                tcmod scroll 0 0.1
		blendFunc blend
		rgbGen vertex
	}
}

//=============================================
// Flame Shaders 
// Flame 1 is a slightly changed Id shader
//=============================================

textures/mythica_effects/flame2
{
	qer_editorimage textures/mythica_effects/fire1.tga	
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 50
	{
	map textures/mythica_effects/fire1.tga
	tcmod scroll 0 0.1
	
	}
}

textures/mythica_effects/flame1
{
	qer_editorimage textures/sfx/flame1.tga	
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 100
	

	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

//================================================
// Lens flares: use em
//================================================

textures/mythica_effects/raindropshad
{
    qer_editorimage textures/mythica_effects/raindrop.tga
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/mythica_effects/raindrop.tga
            blendFunc GL_ONE GL_ONE
          }
}

textures/mythica_effects/flare1
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/mythica_effects/flare1.tga
            blendFunc GL_ONE GL_ONE
          }
}

textures/mythica_effects/flare2
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/mythica_effects/flare2.tga
            blendFunc GL_ONE GL_ONE
          }
}

textures/mythica_effects/flare3
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/mythica_effects/flare3.tga
            blendFunc GL_ONE GL_ONE
          }
}

textures/mythica_effects/flare4
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/mythica_effects/flare4.tga
            blendFunc GL_ONE GL_ONE
          }
}

textures/mythica_effects/flare5
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nonsolid
    cull none
          {
            clampmap textures/mythica_effects/flare5.tga
            blendFunc GL_ONE GL_ONE
          }
}

textures/mythica_effects/flare6
{
    deformVertexes autoSprite
    //surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nonsolid
    cull none
          {
            clampmap textures/mythica_effects/flare6.tga
            blendFunc GL_ONE GL_ONE
          }
}

textures/mythica_effects/flare7
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nonsolid
    cull none
          {
            clampmap textures/mythica_effects/flare7.tga
            blendFunc GL_ONE GL_ONE
          }
}

textures/mythica_misc/moonbanner
{
        tessSize 32
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        
        {
		map textures/mythica_misc/moonbanner.tga
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

textures/mythica_misc/sunbanner
{
        tessSize 32
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        
        {
		map textures/mythica_misc/sunbanner.tga
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}